Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.accounts.get({
customerId: "acme-us",
});from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.accounts.get(customer_id="acme-us")curl --request POST \
--url https://api.useautumn.com/v1/accounts.get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"customer_id": "acme-us"
}
'{
"id": "acme",
"name": "Acme Corp",
"customers": [
{
"id": "acme-us",
"name": "Acme US",
"email": "billing@acme.com"
},
{
"id": "acme-eu",
"name": "Acme EU",
"email": "eu-billing@acme.com"
}
],
"created_at": 1781113864000
}
Accounts
Get Account
Gets an account: a group of customers that belong to the same business. Look it up by its account_id, or by the customer_id of any customer linked to it. Accounts only organize customers — each customer keeps its own plans, billing and Stripe customer.
POST
/
v1
/
accounts.get
Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.accounts.get({
customerId: "acme-us",
});from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.accounts.get(customer_id="acme-us")curl --request POST \
--url https://api.useautumn.com/v1/accounts.get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"customer_id": "acme-us"
}
'{
"id": "acme",
"name": "Acme Corp",
"customers": [
{
"id": "acme-us",
"name": "Acme US",
"email": "billing@acme.com"
},
{
"id": "acme-eu",
"name": "Acme EU",
"email": "eu-billing@acme.com"
}
],
"created_at": 1781113864000
}
Body Parameters
Response
{
"id": "acme",
"name": "Acme Corp",
"customers": [
{
"id": "acme-us",
"name": "Acme US",
"email": "billing@acme.com"
},
{
"id": "acme-eu",
"name": "Acme EU",
"email": "eu-billing@acme.com"
}
],
"created_at": 1781113864000
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
200 - application/json
OK
The account's ID, if you've set one. Autumn never generates it.
The account's name, if set.
Customers linked to the account, oldest link first.
Show child attributes
Show child attributes
When the account was created, ms since epoch.